;
; PureSMTP library test file
;
MySMTPServer.s = "MySMTPServer"
MySMTPPort.l = 25
If PureSMTP_OpenSMTPConnection(MySMTPServer, MySMTPPort) = #PureSMTP_Ok
  Debug PureSMTP_GetLastServerMessage()
  MailTo.s = "MyName@MyServer"
  MailFrom.s = "PureSMTP@testing"
  Subject.s = "Test (with attachments)"
  MsgBody.s = "Testing PureSMTP"
  ; file attachements
  File1.s = "C:\PureBasic391\Program\PureSMTP.zip"
  If FileSize(File1) <= 0
    File1 = ""
  EndIf
  File2.s = "C:\PureBasic391\Program\PureUPX.exe"
  If FileSize(File2) <= 0
    File2 = ""
  EndIf
  Separator.s = ";"
  If File1 = "" Or File2 = ""
    Separator = ""
  EndIf
  Attachments.s = File1 + Separator + File2
  ; sending mail
  Debug Attachments
  Status.l = PureSMTP_SendMail(MailTo, MailFrom, Subject, MsgBody, Attachments)
  If Status = #PureSMTP_Ok
    Debug "Message 1 : sent"
    Debug "Status = " + Str(Status)
    Debug PureSMTP_GetLastServerMessage()
    Subject = "Test 2 (no attachment)"
    Status.l = PureSMTP_SendMail(MailTo, MailFrom, Subject, MsgBody)
    If Status = #PureSMTP_Ok
      Debug "Message 2 : sent"
      Debug "Status = " + Str(Status)
      Debug PureSMTP_GetLastServerMessage()
    Else
      Debug "Message 2 : something went wrong !"
      Debug "Status = " + Str(Status)
      Debug PureSMTP_GetLastServerMessage()
    EndIf
  Else
    Debug "Message 1 : something went wrong !"
    Debug "Status = " + Str(Status)
    Debug PureSMTP_GetLastServerMessage()
  EndIf
  PureSMTP_CloseSMTPConnection()
Else
  Debug "OpenSMTPConnection failed"
  Debug PureSMTP_GetLastServerMessage()
EndIf